{% extends 'base.html' %}
{% block content %}
    <h1>NOTES</h1>

    <div class="container mb-3">
        <div class="row">
            <div class="col">
                <a href="{% url 'notes:note_new' %}" class="btn btn-primary">New</a>
            </div>
        </div>
    </div>

    {% for note in notes %}
    <div class="card mb-3" style="width: 18rem;">
        <div class="card-body">
            <h5 class="card-title">Note #{{ note.id }}</h5>
            <p class="card-text">{{ note.note_text }}</p>
            <a href="{% url 'notes:note_edit' note.id %}" class="btn btn-primary">Edit</a>
            <a href="{% url 'notes:note_delete' note.id %}" class="btn btn-danger">Delete</a>
        </div>
    </div>
    {% endfor %}
{% endblock %}